DefaultMVCGroupManager (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultMVCGroupManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCGroupManager
          org.codehaus.griffon.runtime.core.DefaultMVCGroupManager

    public class DefaultMVCGroupManager
    extends AbstractMVCGroupManager

Base implementation of the `MVCGroupManager` interface.

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary
`private static String` | `CONFIG_KEY_COMPONENT`
`private static String` | `CONFIG_KEY_EVENTS_INSTANTIATION`
`private static String` | `CONFIG_KEY_EVENTS_LIFECYCLE`
`private static String` | `CONFIG_KEY_EVENTS_LISTENER`
`private static org.slf4j.Logger` | `LOG`

Fields inherited from class AbstractMVCGroupManager
LOG, app, configurations, groups, initialized, lock

Constructor Summary
`DefaultMVCGroupManager(GriffonApplication app)`

Method Summary
`protected MVCGroup` | `buildMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args)`
`protected void` | `checkIdIsUnique(String mvcId, MVCGroupConfiguration configuration)`
`protected Map` | `copyAndConfigureArguments(Map args, MVCGroupConfiguration configuration, String mvcId)`
`void` | `destroyMVCGroup(String mvcId)`
`protected void` | `doAddGroup(MVCGroup group)`
`protected void` | `doInitialize(Map configurations)`
`protected void` | `doRemoveGroup(MVCGroup group)`
`protected void` | `fillReferencedProperties(MVCGroup group, Map args)`
`protected void` | `initializeMembers(MVCGroup group, Map args)`
`protected Map` | `instantiateMembers(Map klassMap, Map args, Map griffonClassMap, FactoryBuilderSupport builder)`
`protected boolean` | `isConfigFlagEnabled(MVCGroupConfiguration configuration, String key)`
`protected Class` | `loadClass(String className)`
`MVCGroup` | `newMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map members)`
`MVCGroupConfiguration` | `newMVCGroupConfiguration(String mvcType, Map members, Map config)`
`protected void` | `selectClassesPerMember(String memberType, String memberClassName, Map klassMap, Map metaClassMap, Map griffonClassMap)`

Methods inherited from class AbstractMVCGroupManager
addConfiguration, addGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, cloneMVCGroupConfiguration, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, doInitialize, findConfiguration, findGroup, getApp, getAt, getBuilders, getConfigurations, getControllers, getGroups, getModels, getViews, initialize, removeGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CONFIG_KEY_COMPONENT

    private static final String CONFIG_KEY_COMPONENT

### CONFIG_KEY_EVENTS_INSTANTIATION

    private static final String CONFIG_KEY_EVENTS_INSTANTIATION

### CONFIG_KEY_EVENTS_LIFECYCLE

    private static final String CONFIG_KEY_EVENTS_LIFECYCLE

### CONFIG_KEY_EVENTS_LISTENER

    private static final String CONFIG_KEY_EVENTS_LISTENER

### LOG

    private static final org.slf4j.Logger LOG

Constructor Detail

### DefaultMVCGroupManager

    public DefaultMVCGroupManager(GriffonApplication app)

Method Detail

### buildMVCGroup

    protected MVCGroup buildMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args)

### checkIdIsUnique

    protected void checkIdIsUnique(String mvcId, MVCGroupConfiguration configuration)

### copyAndConfigureArguments

    protected Map copyAndConfigureArguments(Map args, MVCGroupConfiguration configuration, String mvcId)

### destroyMVCGroup

    public void destroyMVCGroup(String mvcId)

### doAddGroup

    protected void doAddGroup(MVCGroup group)

### doInitialize

    protected void doInitialize(Map configurations)

### doRemoveGroup

    protected void doRemoveGroup(MVCGroup group)

### fillReferencedProperties

    protected void fillReferencedProperties(MVCGroup group, Map args)

### initializeMembers

    protected void initializeMembers(MVCGroup group, Map args)

### instantiateMembers

    protected Map instantiateMembers(Map klassMap, Map args, Map griffonClassMap, FactoryBuilderSupport builder)

### isConfigFlagEnabled

    protected boolean isConfigFlagEnabled(MVCGroupConfiguration configuration, String key)

### loadClass

    protected Class loadClass(String className)

### newMVCGroup

    public MVCGroup newMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map members)

### newMVCGroupConfiguration

    public MVCGroupConfiguration newMVCGroupConfiguration(String mvcType, Map members, Map config)

### selectClassesPerMember

    protected void selectClassesPerMember(String memberType, String memberClassName, Map klassMap, Map metaClassMap, Map griffonClassMap)

Groovy Documentation